INODE_DIO_WAIT(9)

NAME
inode_dio_wait - wait for outstanding DIO requests to finish

SYNOPSIS

void inode_dio_wait(struct inode * inode);

ARGUMENTS

inode
    inode to wait for

DESCRIPTION

Waits for all pending direct I/O requests to finish so that we can proceed with a truncate or equivalent operation.

Must be called under a lock that serializes taking new references to i_dio_count, usually by inode->i_mutex.

COPYRIGHT